diff a/make/conf/jib-profiles.js b/make/conf/jib-profiles.js
--- a/make/conf/jib-profiles.js
+++ b/make/conf/jib-profiles.js
@@ -1197,13 +1197,13 @@
         },
 
         jtreg: {
             server: "jpg",
             product: "jtreg",
-            version: "7.4",
-            build_number: "1",
-            file: "bundles/jtreg-7.4+1.zip",
+            version: "7.5",
+            build_number: "ci/31",
+            file: "bundles/jtreg-7.5+1.zip",
             environment_name: "JT_HOME",
             environment_path: input.get("jtreg", "home_path") + "/bin",
             configure_args: "--with-jtreg=" + input.get("jtreg", "home_path"),
         },
 
@@ -1497,10 +1497,11 @@
         if (input.target_os == "macosx") {
             args = concat(args, "--with-macosx-bundle-build-version="
                           + common.build_number + "." + ciBuildNumber);
         }
     } else {
+        args = concat(args, "--with-version-pre=" + version_numbers.get("DEFAULT_PROMOTED_VERSION_PRE"));
         args = concat(args, "--with-version-opt=" + common.build_id);
     }
     var sourceDate
     if (input.build_id_data && input.build_id_data.creationTime) {
         sourceDate = Math.floor(Date.parse(input.build_id_data.creationTime)/1000);
